codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  Line object

A single line segment.

VBA class name:

AcadLine 

Create using:

ModelSpace.AddLine
PaperSpace.AddLine
Block.AddLine 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

Lines can be one segment or a series of connected segments, but each segment is a separate Line object. Use the Line object if you want to edit individual segments. If you need to draw a series of line segments as a single object, use the LightweightPolyline object.

To create a line, use the AddLine method. To edit or query a line, use the following methods and properties:

Methods

ArrayPolar

ArrayRectangular

Copy

Delete

GetBoundingBox

GetExtensionDictionary

GetXData

Highlight

IntersectWith

Mirror

Mirror3D

Move

Offset

Rotate

Rotate3D

ScaleEntity

SetXData

TransformBy

Update

Properties

Angle

Application

Document

Delta

EndPoint

Handle

HasExtensionDictionary

Hyperlinks

Layer

Length

Linetype

LinetypeScale

Lineweight

Normal

ObjectID

OwnerID

PlotStyleName

StartPoint

Thickness

TrueColor

Visible

Events

Modified  

 

   Comments?